> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List pending requests

> 
API call to return a list of pending asynchronous requests.

Some operations within Phrase TMS are performed
[asynchronously](https://support.phrase.com/hc/en-us/articles/5784117234972-Phrase-TMS-Limits#api-limits-async-requests-0-2)
and their response only serves as an acknowledgement of receipt, not an actual completion of such request.
Since Phrase  imposes restrictions on the number of pending asynchronous
requests within an organization, this API call provides the means to check the number of such
pending requests.

When processing a large number of asynchronous operations, Phrase recommends periodically checking this list of
pending requests in order to not receive an error code during the actual processing of the requests.

_Note: Only actions triggered via the APIs are counted towards this limit, the same type of operation carried out via the
UI is not taken into account. This means that even with 200 pending requests, users can still create jobs via the UI._




## OpenAPI

````yaml /openapi/phrase-tms-latest.json get /api2/v1/async
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: Latest
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: SCIM
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: Workflow changes
  - name: XML Assistant
paths:
  /api2/v1/async:
    get:
      tags:
        - Async Request
      summary: List pending requests
      description: >

        API call to return a list of pending asynchronous requests.


        Some operations within Phrase TMS are performed

        [asynchronously](https://support.phrase.com/hc/en-us/articles/5784117234972-Phrase-TMS-Limits#api-limits-async-requests-0-2)

        and their response only serves as an acknowledgement of receipt, not an
        actual completion of such request.

        Since Phrase  imposes restrictions on the number of pending asynchronous

        requests within an organization, this API call provides the means to
        check the number of such

        pending requests.


        When processing a large number of asynchronous operations, Phrase
        recommends periodically checking this list of

        pending requests in order to not receive an error code during the actual
        processing of the requests.


        _Note: Only actions triggered via the APIs are counted towards this
        limit, the same type of operation carried out via the

        UI is not taken into account. This means that even with 200 pending
        requests, users can still create jobs via the UI._
      operationId: listPendingRequests
      parameters:
        - name: all
          in: query
          description: >-
            Pending requests for organization instead of current user. Only for
            ADMIN.
          required: false
          schema:
            type: boolean
            default: false
        - name: pageNumber
          in: query
          description: Page number, starting with 0, default 0
          required: false
          schema:
            type: integer
            format: int32
            minimum: 0
            default: 0
        - name: pageSize
          in: query
          description: Page size, accepts values between 1 and 50, default 50
          required: false
          schema:
            type: integer
            format: int32
            minimum: 1
            maximum: 50
            default: 50
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageDtoAsyncRequestDtoV1'
        '400':
          description: Bad request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Resource not found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  schemas:
    PageDtoAsyncRequestDtoV1:
      type: object
      properties:
        content:
          type: array
          items:
            $ref: '#/components/schemas/AsyncRequestDtoV1'
        numberOfElements:
          type: integer
          format: int32
        pageNumber:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        sort:
          $ref: '#/components/schemas/Sort'
        totalElements:
          type: integer
          format: int32
        totalPages:
          type: integer
          format: int32
    AsyncRequestDtoV1:
      type: object
      properties:
        action:
          type: string
          enum:
            - PRE_ANALYSE
            - POST_ANALYSE
            - CONTINUOUS_PRE_ANALYSE
            - CONTINUOUS_POST_ANALYSE
            - COMPARE_ANALYSE
            - PARENT_ANALYSE
            - PRE_TRANSLATE
            - ASYNC_TRANSLATE
            - IMPORT_JOB
            - IMPORT_FILE
            - ALIGN
            - EXPORT_TMX_BY_QUERY
            - EXPORT_TMX
            - IMPORT_TMX
            - IMPORT_MXLF_INTO_TM
            - IMPORT_TBX
            - IMPORT_TBX_TB3
            - INSERT_INTO_TM
            - DELETE_TM
            - CLEAR_TM
            - QA
            - QA_V3
            - UPDATE_CONTINUOUS_JOB
            - UPDATE_SOURCE
            - UPDATE_TARGET
            - EXTRACT_CLEANED_TMS
            - GLOSSARY_PUT
            - GLOSSARY_DELETE
            - ASYNC_TRANSLATE_VERIFY
            - CREATE_PROJECT
            - EXPORT_COMPLETE_FILE
            - IMPORT_ANNOTATIONS
            - FILE_FLOW_CONVERTER_IMPORT
            - FILE_FLOW_MT_PRETRANSLATE
            - FILE_FLOW_QUALITY_ESTIMATION
            - AUTO_LQA
            - ADOPT_SEGMENT_DATA
            - ADOPT_SEGMENT_SET_DATA
            - QP_EVALUATION
        asyncResponse:
          $ref: '#/components/schemas/AsyncResponseDtoV1'
        createdBy:
          $ref: '#/components/schemas/UserReferenceV1'
        dateCreated:
          type: string
          format: date-time
        id:
          type: string
        parent:
          $ref: '#/components/schemas/AsyncRequestDtoV1'
        project:
          $ref: '#/components/schemas/ProjectReferenceV1'
    Sort:
      type: object
      properties:
        orders:
          type: array
          items:
            $ref: '#/components/schemas/SortOrder'
    AsyncResponseDtoV1:
      type: object
      properties:
        acceptedSegmentsCount:
          type: integer
          format: int64
        dateCreated:
          type: string
          format: date-time
        errorCode:
          type: string
        errorDesc:
          type: string
        errorDetails:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDtoV1'
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDtoV1'
    UserReferenceV1:
      type: object
      properties:
        email:
          type: string
        firstName:
          type: string
        id:
          type: string
        lastName:
          type: string
        role:
          type: string
          enum:
            - SYS_ADMIN
            - SYS_ADMIN_READ
            - ADMIN
            - PROJECT_MANAGER
            - LINGUIST
            - GUEST
            - SUBMITTER
            - PORTAL_MEMBER
            - BOT
        uid:
          type: string
        userName:
          type: string
    ProjectReferenceV1:
      type: object
      properties:
        name:
          type: string
        uid:
          type: string
    SortOrder:
      type: object
      properties:
        direction:
          type: string
          enum:
            - ASC
            - DESC
        property:
          type: string
    ErrorDetailDtoV1:
      type: object
      properties:
        args:
          type: object
          description: Related arguments, e.g. number => "hello world"
          additionalProperties:
            type: object
        code:
          type: string
          description: Code, e.g. NOT_FOUND.
        message:
          type: string
          description: Optional human-readable message.
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````